select.h File Reference
Select loop abstraction

select loop abstraction More...

`#include <osmocom/core/linuxlist.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_fd
| Structure representing a file dsecriptor. More...

## Macros

#define | BSC_FD_READ 0x0001
| Indicate interest in reading from the file descriptor.
#define | BSC_FD_WRITE 0x0002
| Indicate interest in writing to the file descriptor.
#define | BSC_FD_EXCEPT 0x0004
| Indicate interest in exceptions from the file descriptor.

## Functions

int | osmo_fd_register (struct osmo_fd *fd)
| Register a new file descriptor with select loop abstraction. More...
void | osmo_fd_unregister (struct osmo_fd *fd)
| Unregister a file descriptor from select loop abstraction. More...
int | osmo_select_main (int polling)
| select main loop integration More...

## Detailed Description

select loop abstraction